Bug 456902 - /usr/libexec/gconf-sanity-check-2 fails at login with error 256
/usr/libexec/gconf-sanity-check-2 fails at login with error 256
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: GConf2 (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-28 11:21 EDT by Daniel Walsh
Modified: 2008-08-23 22:18 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-23 22:18:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Walsh 2008-07-28 11:21:37 EDT
Description of problem:

Running at the command line gives me

 /usr/libexec/gconf-sanity-check-2
Gtk-Message: Failed to load module "libcanberra-gtk-module":
libcanberra-gtk-module.so: cannot open shared object file: No such file or directory

# locate libcanberra-gtk-module.so
/usr/lib64/gtk-2.0/modules/libcanberra-gtk-module.so

Even though the exit status is 0.

GConf2-gtk-2.23.1-1.fc10.x86_64
Comment 1 Matthias Clasen 2008-07-28 17:48:16 EDT
What is the GTK_MODULES env var set to ?
Comment 2 Daniel Walsh 2008-07-29 15:34:24 EDT
 echo $GTK_MODULES
libcanberra-gtk-module


But I do not know if this is set before the check is run.
Comment 3 Matthias Clasen 2008-08-01 00:00:04 EDT
Do you have the latest libcanberra, 0.5-4.fc10 ? 
It ought to set the envvar to 'canberra-gtk-module' (without the lib). 
Comment 4 Daniel Walsh 2008-08-01 12:12:27 EDT
rpm -q libcanberra
libcanberra-0.5-4.fc10.x86_64
Comment 5 Matthias Clasen 2008-08-23 22:18:17 EDT
Works fine here for me with current rawhide. 
Please reopen if you still see this.

Note You need to log in before you can comment on or make changes to this bug.